Debian Bug report logs - #694598
xserver-xorg: Windows jumping when moving them with the mouse

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: "Koehrer Mathias (ETAS/ESS2)" <mathias.koehrer@etas.com>

Date: Wed, 28 Nov 2012 09:27:04 UTC

Severity: normal

Tags: fixed-upstream, patch

Merged with 688860

Found in version xorg-server/2:1.12.0-1

Fixed in version xorg-server/2:1.12.4-4

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=54353

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#694598; Package xserver-xorg. (Wed, 28 Nov 2012 09:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Koehrer Mathias (ETAS/ESS2)" <mathias.koehrer@etas.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 28 Nov 2012 09:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Koehrer Mathias (ETAS/ESS2)" <mathias.koehrer@etas.com>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: xserver-xorg: Windows jumping when moving them with the mouse
Date: Wed, 28 Nov 2012 09:14:29 +0000
Package: xserver-xorg
Version: 1:7.7+1
Severity: normal

Dear Maintainer,

I have installed Debian wheezy (testing) in a VirtualBox for Windows V4.1.18.
I am using xfce as Desktop environment.
Whenever I move a window using the mouse, it is often jumping around to
the left or the top.
The behaviour is also described in the following bug report
https://bugs.freedesktop.org/show_bug.cgi?id=54353#c4

I found a workaround to fix this:
Either execute
$ xinput set-prop "VirtualBox mouse integration" "Coordinate Transformation Matrix" 0.5 0 0 0 0.5 0 0 0 1.0
after starting X
or place the following lines in the xorg.conf file:

 Section "InputClass"
 	Identifier "Set Transformation Matrix"
	MatchIsPointer "on"
	Driver "evdev"
	Option "TransformationMatrix" "1.0 0 0 0  1.0 0 0 0  1.0"
 EndSection

 
It would be great to have the xserver fixed. 

Thanks a lot

Regards

Mathias


-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 Nov 27 08:29 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 2027892 Nov  5 11:35 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
00:02.0 VGA compatible controller [0300]: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef]

Xorg X server configuration file status:
----------------------------------------
-rw-r--r-- 1 root root 179 Nov 28 09:52 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
-------------------------------

# As workaround, please comment out the following lines:
# Section "InputClass"
# 	Identifier "Set Transformation Matrix"
#	MatchIsPointer "on"
#	Driver "evdev"
#	Option "TransformationMatrix" "1.0 0 0 0  1.0 0 0 0  1.0"
# EndSection

/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 3.2.34-rt51 (root@rtpc) (gcc version 4.7.2 (Debian 4.7.2-4) ) #2 SMP PREEMPT RT Mon Nov 26 14:24:20 GMT 2012

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 28671 Nov 28 09:57 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[  2953.014] 
X.Org X Server 1.12.4
Release Date: 2012-08-27
[  2953.016] X Protocol Version 11, Revision 0
[  2953.017] Build Operating System: Linux 2.6.32-5-686-bigmem i686 Debian
[  2953.020] Current Operating System: Linux rtpc 3.2.34-rt51 #2 SMP PREEMPT RT Mon Nov 26 14:24:20 GMT 2012 i686
[  2953.020] Kernel command line: root=/dev/sda5 vga=785 quiet isolcpus=1-15
[  2953.022] Build Date: 05 November 2012  10:28:15AM
[  2953.022] xorg-server 2:1.12.4-3 (Julien Cristau <jcristau@debian.org>) 
[  2953.023] Current version of pixman: 0.26.0
[  2953.024] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[  2953.024] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  2953.027] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Nov 28 09:57:44 2012
[  2953.028] (==) Using config file: "/etc/X11/xorg.conf"
[  2953.029] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  2953.030] (==) No Layout section.  Using the first Screen section.
[  2953.030] (==) No screen section available. Using defaults.
[  2953.030] (**) |-->Screen "Default Screen Section" (0)
[  2953.030] (**) |   |-->Monitor "<default monitor>"
[  2953.030] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[  2953.030] (==) Automatically adding devices
[  2953.030] (==) Automatically enabling devices
[  2953.030] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[  2953.030] 	Entry deleted from font path.
[  2953.030] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[  2953.030] 	Entry deleted from font path.
[  2953.030] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[  2953.031] 	Entry deleted from font path.
[  2953.031] (WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
[  2953.031] 	Entry deleted from font path.
[  2953.031] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[  2953.031] 	Entry deleted from font path.
[  2953.031] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[  2953.031] 	Entry deleted from font path.
[  2953.031] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[  2953.031] 	Entry deleted from font path.
[  2953.031] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	built-ins
[  2953.031] (==) ModulePath set to "/usr/lib/xorg/modules"
[  2953.031] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[  2953.031] (II) Loader magic: 0x801ea5a0
[  2953.031] (II) Module ABI versions:
[  2953.031] 	X.Org ANSI C Emulation: 0.4
[  2953.031] 	X.Org Video Driver: 12.1
[  2953.031] 	X.Org XInput driver : 16.0
[  2953.031] 	X.Org Server Extension : 6.0
[  2953.035] (--) PCI:*(0:0:2:0) 80ee:beef:0000:0000 rev 0, Mem @ 0xe0000000/67108864
[  2953.036] (II) Open ACPI successful (/var/run/acpid.socket)
[  2953.036] (II) LoadModule: "extmod"
[  2953.038] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[  2953.039] (II) Module extmod: vendor="X.Org Foundation"
[  2953.039] 	compiled for 1.12.4, module version = 1.0.0
[  2953.039] 	Module class: X.Org Server Extension
[  2953.039] 	ABI class: X.Org Server Extension, version 6.0
[  2953.039] (II) Loading extension SELinux
[  2953.039] (II) Loading extension MIT-SCREEN-SAVER
[  2953.039] (II) Loading extension XFree86-VidModeExtension
[  2953.039] (II) Loading extension XFree86-DGA
[  2953.039] (II) Loading extension DPMS
[  2953.039] (II) Loading extension XVideo
[  2953.039] (II) Loading extension XVideo-MotionCompensation
[  2953.039] (II) Loading extension X-Resource
[  2953.039] (II) LoadModule: "dbe"
[  2953.039] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[  2953.042] (II) Module dbe: vendor="X.Org Foundation"
[  2953.042] 	compiled for 1.12.4, module version = 1.0.0
[  2953.042] 	Module class: X.Org Server Extension
[  2953.042] 	ABI class: X.Org Server Extension, version 6.0
[  2953.042] (II) Loading extension DOUBLE-BUFFER
[  2953.042] (II) LoadModule: "glx"
[  2953.042] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[  2953.043] (II) Module glx: vendor="X.Org Foundation"
[  2953.043] 	compiled for 1.12.4, module version = 1.0.0
[  2953.043] 	ABI class: X.Org Server Extension, version 6.0
[  2953.043] (==) AIGLX enabled
[  2953.043] (II) Loading extension GLX
[  2953.043] (II) LoadModule: "record"
[  2953.043] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[  2953.043] (II) Module record: vendor="X.Org Foundation"
[  2953.043] 	compiled for 1.12.4, module version = 1.13.0
[  2953.043] 	Module class: X.Org Server Extension
[  2953.043] 	ABI class: X.Org Server Extension, version 6.0
[  2953.043] (II) Loading extension RECORD
[  2953.043] (II) LoadModule: "dri"
[  2953.044] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[  2953.044] (II) Module dri: vendor="X.Org Foundation"
[  2953.044] 	compiled for 1.12.4, module version = 1.0.0
[  2953.044] 	ABI class: X.Org Server Extension, version 6.0
[  2953.044] (II) Loading extension XFree86-DRI
[  2953.044] (II) LoadModule: "dri2"
[  2953.045] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[  2953.045] (II) Module dri2: vendor="X.Org Foundation"
[  2953.045] 	compiled for 1.12.4, module version = 1.2.0
[  2953.045] 	ABI class: X.Org Server Extension, version 6.0
[  2953.045] (II) Loading extension DRI2
[  2953.045] (==) Matched vboxvideo as autoconfigured driver 0
[  2953.045] (==) Matched vesa as autoconfigured driver 1
[  2953.045] (==) Matched fbdev as autoconfigured driver 2
[  2953.045] (==) Assigned the driver to the xf86ConfigLayout
[  2953.045] (II) LoadModule: "vboxvideo"
[  2953.045] (II) Loading /usr/lib/xorg/modules/drivers/vboxvideo_drv.so
[  2953.046] (II) Module vboxvideo: vendor="Oracle Corporation"
[  2953.046] 	compiled for 1.12.4, module version = 1.0.1
[  2953.046] 	Module class: X.Org Video Driver
[  2953.046] 	ABI class: X.Org Video Driver, version 12.1
[  2953.046] (**) Load address of symbol "VBOXVIDEO" is 0xb7a82300
[  2953.046] (II) LoadModule: "vesa"
[  2953.046] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[  2953.046] (II) Module vesa: vendor="X.Org Foundation"
[  2953.046] 	compiled for 1.12.1, module version = 2.3.1
[  2953.046] 	Module class: X.Org Video Driver
[  2953.046] 	ABI class: X.Org Video Driver, version 12.0
[  2953.046] (II) LoadModule: "fbdev"
[  2953.046] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[  2953.046] (II) Module fbdev: vendor="X.Org Foundation"
[  2953.046] 	compiled for 1.12.1, module version = 0.4.2
[  2953.047] 	ABI class: X.Org Video Driver, version 12.0
[  2953.047] (II) VBoxVideo: guest driver for VirtualBox: vbox
[  2953.047] (II) VESA: driver for VESA chipsets: vesa
[  2953.047] (II) FBDEV: driver for framebuffer: fbdev
[  2953.047] (--) using VT number 7

[  2953.049] (WW) Falling back to old probe method for vesa
[  2953.049] (WW) Falling back to old probe method for fbdev
[  2953.049] (II) Loading sub module "fbdevhw"
[  2953.049] (II) LoadModule: "fbdevhw"
[  2953.049] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[  2953.049] (II) Module fbdevhw: vendor="X.Org Foundation"
[  2953.049] 	compiled for 1.12.4, module version = 0.0.2
[  2953.049] 	ABI class: X.Org Video Driver, version 12.1
[  2953.049] (II) VBoxVideo(0): VirtualBox guest additions video driver version 4.1.18_Debian
[  2953.049] (II) Loading sub module "ramdac"
[  2953.049] (II) LoadModule: "ramdac"
[  2953.049] (II) Module "ramdac" already built-in
[  2953.050] (II) Loading sub module "fb"
[  2953.050] (II) LoadModule: "fb"
[  2953.050] (II) Loading /usr/lib/xorg/modules/libfb.so
[  2953.050] (II) Module fb: vendor="X.Org Foundation"
[  2953.050] 	compiled for 1.12.4, module version = 1.0.0
[  2953.050] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  2953.050] (II) Loading sub module "shadowfb"
[  2953.050] (II) LoadModule: "shadowfb"
[  2953.051] (II) Loading /usr/lib/xorg/modules/libshadowfb.so
[  2953.051] (II) Module shadowfb: vendor="X.Org Foundation"
[  2953.051] 	compiled for 1.12.4, module version = 1.0.0
[  2953.051] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  2953.051] (II) Loading sub module "vgahw"
[  2953.051] (II) LoadModule: "vgahw"
[  2953.051] (II) Loading /usr/lib/xorg/modules/libvgahw.so
[  2953.051] (II) Module vgahw: vendor="X.Org Foundation"
[  2953.051] 	compiled for 1.12.4, module version = 0.1.0
[  2953.051] 	ABI class: X.Org Video Driver, version 12.1
[  2953.051] (II) Loading sub module "dri"
[  2953.052] (II) LoadModule: "dri"
[  2953.052] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[  2953.052] (II) Module dri: vendor="X.Org Foundation"
[  2953.052] 	compiled for 1.12.4, module version = 1.0.0
[  2953.052] 	ABI class: X.Org Server Extension, version 6.0
[  2953.052] (II) VBoxVideo(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[  2953.052] (==) VBoxVideo(0): Depth 24, (--) framebuffer bpp 32
[  2953.052] (--) VBoxVideo(0): Virtual size is 32000x32000 (pitch 32000)
[  2953.052] (**) VBoxVideo(0):  Built-in mode "VBoxInitialMode": 74.0 MHz (scaled from 0.0 MHz), 58.6 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBoxInitialMode"x0.0   74.04  1257 1259 1261 1263  971 973 975 977 (58.6 kHz b)
[  2953.053] (**) VBoxVideo(0):  Built-in mode "VBoxDynamicMode": 74.0 MHz (scaled from 0.0 MHz), 58.6 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBoxDynamicMode"x0.0   74.04  1257 1259 1261 1263  971 973 975 977 (58.6 kHz b)
[  2953.053] (**) VBoxVideo(0):  Built-in mode "VBoxDynamicMode": 74.0 MHz (scaled from 0.0 MHz), 58.6 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBoxDynamicMode"x0.0   74.04  1257 1259 1261 1263  971 973 975 977 (58.6 kHz b)
[  2953.053] (**) VBoxVideo(0):  Built-in mode "VBox-1440x1050": 91.6 MHz (scaled from 0.0 MHz), 63.4 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBox-1440x1050"x0.0   91.62  1440 1442 1444 1446  1050 1052 1054 1056 (63.4 kHz b)
[  2953.053] (**) VBoxVideo(0):  Built-in mode "VBox-1280x960": 74.5 MHz (scaled from 0.0 MHz), 58.0 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBox-1280x960"x0.0   74.54  1280 1282 1284 1286  960 962 964 966 (58.0 kHz b)
[  2953.053] (**) VBoxVideo(0):  Built-in mode "VBox-1024x768": 47.8 MHz (scaled from 0.0 MHz), 46.4 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBox-1024x768"x0.0   47.83  1024 1026 1028 1030  768 770 772 774 (46.4 kHz b)
[  2953.053] (**) VBoxVideo(0):  Built-in mode "VBox-800x600": 29.3 MHz (scaled from 0.0 MHz), 36.4 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBox-800x600"x0.0   29.31  800 802 804 806  600 602 604 606 (36.4 kHz b)
[  2953.053] (**) VBoxVideo(0):  Built-in mode "VBox-640x480": 18.8 MHz (scaled from 0.0 MHz), 29.2 kHz, 60.0 Hz
[  2953.053] (II) VBoxVideo(0): Modeline "VBox-640x480"x0.0   18.84  640 642 644 646  480 482 484 486 (29.2 kHz b)
[  2953.053] (II) VBoxVideo(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0
[  2953.053] (==) VBoxVideo(0): RGB weight 888
[  2953.053] (==) VBoxVideo(0): Default visual is TrueColor
[  2953.053] (==) VBoxVideo(0): Using gamma correction (1.0, 1.0, 1.0)
[  2953.053] (==) VBoxVideo(0): DPI set to (96, 96)
[  2953.053] (II) UnloadModule: "vesa"
[  2953.053] (II) Unloading vesa
[  2953.053] (II) UnloadModule: "fbdev"
[  2953.053] (II) Unloading fbdev
[  2953.053] (II) UnloadSubModule: "fbdevhw"
[  2953.053] (II) Unloading fbdevhw
[  2953.053] (--) Depth 24 pixmap format is 32 bpp
[  2953.076] drmOpenDevice: node name is /dev/dri/card0
[  2953.076] drmOpenDevice: open result is 10, (OK)
[  2953.076] drmOpenDevice: node name is /dev/dri/card0
[  2953.076] drmOpenDevice: open result is 10, (OK)
[  2953.076] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[  2953.076] drmOpenDevice: node name is /dev/dri/card0
[  2953.076] drmOpenDevice: open result is 10, (OK)
[  2953.076] drmOpenByBusid: drmOpenMinor returns 10
[  2953.076] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[  2953.076] (II) [drm] DRM interface version 1.4
[  2953.076] (II) [drm] DRM open master succeeded.
[  2953.076] (II) VBoxVideo(0): [drm] Using the DRM lock SAREA also for drawables.
[  2953.076] (II) VBoxVideo(0): [drm] framebuffer handle = 0xe0000000
[  2953.076] (II) VBoxVideo(0): [drm] added 1 reserved context for kernel
[  2953.076] (II) VBoxVideo(0): X context handle = 0x1
[  2953.076] (II) VBoxVideo(0): [drm] installed DRM signal handler
[  2953.076] (II) VBoxVideo(0): visual configurations initialized
[  2953.077] (II) VBoxVideo(0): Requested monitor count: 1
[  2953.077] (II) VBoxVideo(0): Output VBOX0 has no monitor section
[  2953.077] (II) VBoxVideo(0): Output VBOX0 has no monitor section
[  2953.077] (II) VBoxVideo(0): EDID for output VBOX0
[  2953.077] (II) VBoxVideo(0): Manufacturer: VBX  Model: 0  Serial#: 63636713
[  2953.077] (II) VBoxVideo(0): Year: 1990  Week: 1
[  2953.077] (II) VBoxVideo(0): EDID Version: 1.3
[  2953.077] (II) VBoxVideo(0): Digital Display Input
[  2953.077] (II) VBoxVideo(0): Indeterminate output size
[  2953.078] (II) VBoxVideo(0): Gamma: 2.20
[  2953.078] (II) VBoxVideo(0): DPMS capabilities: StandBy Suspend Off
[  2953.078] (II) VBoxVideo(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[  2953.078] (II) VBoxVideo(0): Default color space is primary color space
[  2953.078] (II) VBoxVideo(0): First detailed timing is preferred mode
[  2953.078] (II) VBoxVideo(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
[  2953.078] (II) VBoxVideo(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
[  2953.078] (II) VBoxVideo(0): Manufacturer's mask: 0
[  2953.078] (II) VBoxVideo(0): Supported detailed timing:
[  2953.078] (II) VBoxVideo(0): clock: 74.0 MHz   Image Size:  0 x 0 mm
[  2953.078] (II) VBoxVideo(0): h_active: 1257  h_sync: 1259  h_sync_end 1261 h_blank_end 1263 h_border: 0
[  2953.078] (II) VBoxVideo(0): v_active: 971  v_sync: 973  v_sync_end 975 v_blanking: 977 v_border: 0
[  2953.078] (II) VBoxVideo(0): Ranges: V min: 0 V max: 200 Hz, H min: 0 H max: 200 kHz, PixClock max 1005 MHz
[  2953.078] (II) VBoxVideo(0): Monitor name: VBOX monitor
[  2953.078] (II) VBoxVideo(0): EDID (in hex):
[  2953.078] (II) VBoxVideo(0): 	00ffffffffffff0058580000e904cb03
[  2953.078] (II) VBoxVideo(0): 	0100010380000078eeee91a3544c9926
[  2953.078] (II) VBoxVideo(0): 	0f505400000001010101010101010101
[  2953.078] (II) VBoxVideo(0): 	010101010101eb1ce90640cb06300202
[  2953.078] (II) VBoxVideo(0): 	2200000000000000000000fd0000c800
[  2953.078] (II) VBoxVideo(0): 	c864000a202020202020000000fc0056
[  2953.078] (II) VBoxVideo(0): 	424f58206d6f6e69746f720a00000010
[  2953.078] (II) VBoxVideo(0): 	000a202020202020202020202020004d
[  2953.078] (II) VBoxVideo(0): EDID vendor "VBX", prod id 0
[  2953.078] (II) VBoxVideo(0): DDCModeFromDetailedTiming: 1257x971 Warning: We only handle separate sync.
[  2953.078] (II) VBoxVideo(0): Using hsync ranges from config file
[  2953.078] (II) VBoxVideo(0): Using vrefresh ranges from config file
[  2953.078] (II) VBoxVideo(0): Printing DDC gathered Modelines:
[  2953.078] (II) VBoxVideo(0): Modeline "1257x971"x0.0   74.03  1257 1259 1261 1263  971 973 975 977 -hsync -vsync (58.6 kHz eP)
[  2953.079] (II) VBoxVideo(0): Printing probed modes for output VBOX0
[  2953.079] (II) VBoxVideo(0): Modeline "1257x971"x60.0   74.04  1257 1259 1261 1263  971 973 975 977 (58.6 kHz Pb)
[  2953.079] (II) VBoxVideo(0): Modeline "1440x1050"x60.0   91.62  1440 1442 1444 1446  1050 1052 1054 1056 (63.4 kHz b)
[  2953.079] (II) VBoxVideo(0): Modeline "1280x960"x60.0   74.54  1280 1282 1284 1286  960 962 964 966 (58.0 kHz b)
[  2953.079] (II) VBoxVideo(0): Modeline "1024x768"x60.0   47.83  1024 1026 1028 1030  768 770 772 774 (46.4 kHz b)
[  2953.079] (II) VBoxVideo(0): Modeline "800x600"x60.0   29.31  800 802 804 806  600 602 604 606 (36.4 kHz b)
[  2953.079] (II) VBoxVideo(0): Modeline "640x480"x60.0   18.84  640 642 644 646  480 482 484 486 (29.2 kHz b)
[  2953.079] (II) VBoxVideo(0): Output VBOX0 connected
[  2953.079] (II) VBoxVideo(0): Using exact sizes for initial modes
[  2953.079] (II) VBoxVideo(0): Output VBOX0 using initial mode 1257x971
[  2953.079] (II) VBoxVideo(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[  2953.079] (II) VBoxVideo(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[  2953.081] (==) VBoxVideo(0): DPMS enabled
[  2953.081] (II) VBoxVideo(0): [DRI] installation complete
[  2953.081] (--) RandR disabled
[  2953.081] (II) Initializing built-in extension Generic Event Extension
[  2953.081] (II) Initializing built-in extension SHAPE
[  2953.081] (II) Initializing built-in extension MIT-SHM
[  2953.081] (II) Initializing built-in extension XInputExtension
[  2953.081] (II) Initializing built-in extension XTEST
[  2953.081] (II) Initializing built-in extension BIG-REQUESTS
[  2953.081] (II) Initializing built-in extension SYNC
[  2953.081] (II) Initializing built-in extension XKEYBOARD
[  2953.081] (II) Initializing built-in extension XC-MISC
[  2953.081] (II) Initializing built-in extension SECURITY
[  2953.081] (II) Initializing built-in extension XINERAMA
[  2953.081] (II) Initializing built-in extension XFIXES
[  2953.081] (II) Initializing built-in extension RENDER
[  2953.081] (II) Initializing built-in extension RANDR
[  2953.081] (II) Initializing built-in extension COMPOSITE
[  2953.081] (II) Initializing built-in extension DAMAGE
[  2953.081] (II) SELinux: Disabled on system
[  2953.092] (II) AIGLX: Screen 0 is not DRI2 capable
[  2953.092] drmOpenDevice: node name is /dev/dri/card0
[  2953.092] drmOpenDevice: open result is 11, (OK)
[  2953.092] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[  2953.092] drmOpenDevice: node name is /dev/dri/card0
[  2953.092] drmOpenDevice: open result is 11, (OK)
[  2953.092] drmOpenByBusid: drmOpenMinor returns 11
[  2953.092] drmOpenByBusid: Interface 1.4 failed, trying 1.1
[  2953.092] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[  2953.095] (II) Next line is added to allow vboxvideo_drv.so to appear as whitelisted driver
[  2953.095] (II) The file referenced, is *NOT* loaded
[  2953.095] (II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
[  2953.095] (EE) AIGLX error: vboxvideo does not export required DRI extension
[  2953.096] (EE) AIGLX: reverting to software rendering
[  2953.112] (II) AIGLX: Loaded and initialized swrast
[  2953.112] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[  2953.112] (II) VBoxVideo(0): Setting screen physical size to 332 x 256
[  2953.265] (II) config/udev: Adding input device Power Button (/dev/input/event0)
[  2953.265] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[  2953.265] (II) LoadModule: "evdev"
[  2953.266] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[  2953.266] (II) Module evdev: vendor="X.Org Foundation"
[  2953.266] 	compiled for 1.12.1, module version = 2.7.0
[  2953.266] 	Module class: X.Org XInput Driver
[  2953.266] 	ABI class: X.Org XInput driver, version 16.0
[  2953.266] (II) Using input driver 'evdev' for 'Power Button'
[  2953.266] (**) Power Button: always reports core events
[  2953.266] (**) evdev: Power Button: Device: "/dev/input/event0"
[  2953.266] (--) evdev: Power Button: Vendor 0 Product 0x1
[  2953.266] (--) evdev: Power Button: Found keys
[  2953.266] (II) evdev: Power Button: Configuring as keyboard
[  2953.266] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0/event0"
[  2953.267] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[  2953.267] (**) Option "xkb_rules" "evdev"
[  2953.267] (**) Option "xkb_model" "pc105"
[  2953.267] (**) Option "xkb_layout" "us"
[  2953.268] (II) config/udev: Adding input device Sleep Button (/dev/input/event1)
[  2953.268] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[  2953.268] (II) Using input driver 'evdev' for 'Sleep Button'
[  2953.268] (**) Sleep Button: always reports core events
[  2953.268] (**) evdev: Sleep Button: Device: "/dev/input/event1"
[  2953.268] (--) evdev: Sleep Button: Vendor 0 Product 0x3
[  2953.268] (--) evdev: Sleep Button: Found keys
[  2953.268] (II) evdev: Sleep Button: Configuring as keyboard
[  2953.268] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1/event1"
[  2953.268] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 7)
[  2953.268] (**) Option "xkb_rules" "evdev"
[  2953.268] (**) Option "xkb_model" "pc105"
[  2953.268] (**) Option "xkb_layout" "us"
[  2953.269] (II) config/udev: Adding input device VirtualBox USB Tablet (/dev/input/event5)
[  2953.269] (**) VirtualBox USB Tablet: Applying InputClass "evdev pointer catchall"
[  2953.269] (II) Using input driver 'evdev' for 'VirtualBox USB Tablet'
[  2953.269] (**) VirtualBox USB Tablet: always reports core events
[  2953.269] (**) evdev: VirtualBox USB Tablet: Device: "/dev/input/event5"
[  2953.269] (--) evdev: VirtualBox USB Tablet: Vendor 0x80ee Product 0x21
[  2953.269] (--) evdev: VirtualBox USB Tablet: Found 9 mouse buttons
[  2953.269] (--) evdev: VirtualBox USB Tablet: Found scroll wheel(s)
[  2953.270] (--) evdev: VirtualBox USB Tablet: Found relative axes
[  2953.270] (--) evdev: VirtualBox USB Tablet: Found absolute axes
[  2953.270] (--) evdev: VirtualBox USB Tablet: Found x and y absolute axes
[  2953.270] (--) evdev: VirtualBox USB Tablet: Found absolute touchscreen
[  2953.270] (II) evdev: VirtualBox USB Tablet: Configuring as touchscreen
[  2953.270] (II) evdev: VirtualBox USB Tablet: Adding scrollwheel support
[  2953.270] (**) evdev: VirtualBox USB Tablet: YAxisMapping: buttons 4 and 5
[  2953.270] (**) evdev: VirtualBox USB Tablet: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  2953.270] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input5/event5"
[  2953.270] (II) XINPUT: Adding extended input device "VirtualBox USB Tablet" (type: TOUCHSCREEN, id 8)
[  2953.270] (WW) evdev: VirtualBox USB Tablet: touchpads, tablets and touchscreens ignore relative axes.
[  2953.270] (II) evdev: VirtualBox USB Tablet: initialized for absolute axes.
[  2953.271] (**) VirtualBox USB Tablet: (accel) keeping acceleration scheme 1
[  2953.271] (**) VirtualBox USB Tablet: (accel) acceleration profile 0
[  2953.271] (**) VirtualBox USB Tablet: (accel) acceleration factor: 2.000
[  2953.271] (**) VirtualBox USB Tablet: (accel) acceleration threshold: 4
[  2953.271] (II) config/udev: Adding input device VirtualBox USB Tablet (/dev/input/mouse1)
[  2953.271] (II) No input driver specified, ignoring this device.
[  2953.271] (II) This device may have been added with another device file.
[  2953.272] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event2)
[  2953.272] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[  2953.272] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[  2953.272] (**) AT Translated Set 2 keyboard: always reports core events
[  2953.272] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event2"
[  2953.272] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
[  2953.272] (--) evdev: AT Translated Set 2 keyboard: Found keys
[  2953.272] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
[  2953.272] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input2/event2"
[  2953.272] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 9)
[  2953.272] (**) Option "xkb_rules" "evdev"
[  2953.272] (**) Option "xkb_model" "pc105"
[  2953.272] (**) Option "xkb_layout" "us"
[  2953.273] (II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/event4)
[  2953.273] (**) ImExPS/2 Generic Explorer Mouse: Applying InputClass "evdev pointer catchall"
[  2953.273] (II) Using input driver 'evdev' for 'ImExPS/2 Generic Explorer Mouse'
[  2953.273] (**) ImExPS/2 Generic Explorer Mouse: always reports core events
[  2953.273] (**) evdev: ImExPS/2 Generic Explorer Mouse: Device: "/dev/input/event4"
[  2953.273] (--) evdev: ImExPS/2 Generic Explorer Mouse: Vendor 0x2 Product 0x6
[  2953.273] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found 9 mouse buttons
[  2953.274] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found scroll wheel(s)
[  2953.274] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found relative axes
[  2953.274] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found x and y relative axes
[  2953.274] (II) evdev: ImExPS/2 Generic Explorer Mouse: Configuring as mouse
[  2953.274] (II) evdev: ImExPS/2 Generic Explorer Mouse: Adding scrollwheel support
[  2953.274] (**) evdev: ImExPS/2 Generic Explorer Mouse: YAxisMapping: buttons 4 and 5
[  2953.274] (**) evdev: ImExPS/2 Generic Explorer Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  2953.274] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input4/event4"
[  2953.274] (II) XINPUT: Adding extended input device "ImExPS/2 Generic Explorer Mouse" (type: MOUSE, id 10)
[  2953.274] (II) evdev: ImExPS/2 Generic Explorer Mouse: initialized for relative axes.
[  2953.274] (**) ImExPS/2 Generic Explorer Mouse: (accel) keeping acceleration scheme 1
[  2953.274] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration profile 0
[  2953.274] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration factor: 2.000
[  2953.274] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration threshold: 4
[  2953.274] (II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/mouse0)
[  2953.275] (II) No input driver specified, ignoring this device.
[  2953.275] (II) This device may have been added with another device file.
[  2953.275] (II) config/udev: Adding input device PC Speaker (/dev/input/event3)
[  2953.275] (II) No input driver specified, ignoring this device.
[  2953.275] (II) This device may have been added with another device file.
[  2953.276] (II) config/udev: Adding input device VirtualBox mouse integration (/dev/input/event6)
[  2953.276] (**) VirtualBox mouse integration: Applying InputClass "evdev pointer catchall"
[  2953.276] (II) Using input driver 'evdev' for 'VirtualBox mouse integration'
[  2953.276] (**) VirtualBox mouse integration: always reports core events
[  2953.276] (**) evdev: VirtualBox mouse integration: Device: "/dev/input/event6"
[  2953.276] (--) evdev: VirtualBox mouse integration: Vendor 0x80ee Product 0xcafe
[  2953.276] (--) evdev: VirtualBox mouse integration: Found 1 mouse buttons
[  2953.276] (--) evdev: VirtualBox mouse integration: Found absolute axes
[  2953.277] (--) evdev: VirtualBox mouse integration: Found x and y absolute axes
[  2953.277] (--) evdev: VirtualBox mouse integration: Found absolute touchscreen
[  2953.277] (II) evdev: VirtualBox mouse integration: Configuring as touchscreen
[  2953.277] (**) evdev: VirtualBox mouse integration: YAxisMapping: buttons 4 and 5
[  2953.277] (**) evdev: VirtualBox mouse integration: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  2953.277] (**) Option "config_info" "udev:/sys/devices/virtual/input/input6/event6"
[  2953.277] (II) XINPUT: Adding extended input device "VirtualBox mouse integration" (type: TOUCHSCREEN, id 11)
[  2953.277] (II) evdev: VirtualBox mouse integration: initialized for absolute axes.
[  2953.277] (**) VirtualBox mouse integration: (accel) keeping acceleration scheme 1
[  2953.277] (**) VirtualBox mouse integration: (accel) acceleration profile 0
[  2953.277] (**) VirtualBox mouse integration: (accel) acceleration factor: 2.000
[  2953.277] (**) VirtualBox mouse integration: (accel) acceleration threshold: 4
[  2954.800] (II) VBoxVideo(0): EDID vendor "VBX", prod id 0
[  2954.800] (II) VBoxVideo(0): DDCModeFromDetailedTiming: 1257x971 Warning: We only handle separate sync.
[  2954.800] (II) VBoxVideo(0): Using hsync ranges from config file
[  2954.800] (II) VBoxVideo(0): Using vrefresh ranges from config file
[  2954.800] (II) VBoxVideo(0): Printing DDC gathered Modelines:
[  2954.800] (II) VBoxVideo(0): Modeline "1257x971"x0.0   74.03  1257 1259 1261 1263  971 973 975 977 -hsync -vsync (58.6 kHz eP)

udev information:
-----------------
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: KEY=100000 0 0 0
E: MODALIAS=input:b0019v0000p0001e0000-e0,1,k74,ramlsfw
E: NAME="Power Button"
E: PHYS="LNXPWRBN/button/input0"
E: PRODUCT=19/0/1/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4383195

P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0/event0
N: input/event0
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event0
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input0/event0
E: DMI_VENDOR=innotek GmbH
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXPWRBN:00
E: ID_PATH_TAG=acpi-LNXPWRBN_00
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4669765
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
E: DEVPATH=/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
E: EV=3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXSLPBN:00
E: ID_PATH_TAG=acpi-LNXSLPBN_00
E: KEY=4000 0 0 0 0
E: MODALIAS=input:b0019v0000p0003e0000-e0,1,k8E,ramlsfw
E: NAME="Sleep Button"
E: PHYS="LNXSLPBN/button/input0"
E: PRODUCT=19/0/3/0
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4504108

P: /devices/LNXSYSTM:00/LNXSLPBN:00/input/input1/event1
N: input/event1
E: BACKSPACE=guess
E: DEVNAME=/dev/input/event1
E: DEVPATH=/devices/LNXSYSTM:00/LNXSLPBN:00/input/input1/event1
E: DMI_VENDOR=innotek GmbH
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=acpi-LNXSLPBN:00
E: ID_PATH_TAG=acpi-LNXSLPBN_00
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4670569
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input5
E: ABS=3
E: DEVPATH=/devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input5
E: EV=1f
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Tablet
E: ID_MODEL_ENC=USB\x20Tablet
E: ID_MODEL_ID=0021
E: ID_PATH=pci-0000:00:06.0-usb-0:1:1.0
E: ID_PATH_TAG=pci-0000_00_06_0-usb-0_1_1_0
E: ID_REVISION=0100
E: ID_SERIAL=VirtualBox_USB_Tablet
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=VirtualBox
E: ID_VENDOR_ENC=VirtualBox
E: ID_VENDOR_ID=80ee
E: KEY=1f0000 0 0 0 0 0 0 0 0
E: MODALIAS=input:b0003v80EEp0021e0110-e0,1,2,3,4,k110,111,112,113,114,r8,a0,1,m4,lsfw
E: MSC=10
E: NAME="VirtualBox USB Tablet"
E: PHYS="usb-0000:00:06.0-1/input0"
E: PRODUCT=3/80ee/21/110
E: PROP=0
E: REL=100
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: UNIQ=""
E: USEC_INITIALIZED=4645935

P: /devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input5/event5
N: input/event5
S: input/by-id/usb-VirtualBox_USB_Tablet-event-mouse
S: input/by-path/pci-0000:00:06.0-usb-0:1:1.0-event-mouse
E: DEVLINKS=/dev/input/by-id/usb-VirtualBox_USB_Tablet-event-mouse /dev/input/by-path/pci-0000:00:06.0-usb-0:1:1.0-event-mouse
E: DEVNAME=/dev/input/event5
E: DEVPATH=/devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input5/event5
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Tablet
E: ID_MODEL_ENC=USB\x20Tablet
E: ID_MODEL_ID=0021
E: ID_PATH=pci-0000:00:06.0-usb-0:1:1.0
E: ID_PATH_TAG=pci-0000_00_06_0-usb-0_1_1_0
E: ID_REVISION=0100
E: ID_SERIAL=VirtualBox_USB_Tablet
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=VirtualBox
E: ID_VENDOR_ENC=VirtualBox
E: ID_VENDOR_ID=80ee
E: MAJOR=13
E: MINOR=69
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4874401

P: /devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input5/mouse1
N: input/mouse1
S: input/by-id/usb-VirtualBox_USB_Tablet-mouse
S: input/by-path/pci-0000:00:06.0-usb-0:1:1.0-mouse
E: DEVLINKS=/dev/input/by-id/usb-VirtualBox_USB_Tablet-mouse /dev/input/by-path/pci-0000:00:06.0-usb-0:1:1.0-mouse
E: DEVNAME=/dev/input/mouse1
E: DEVPATH=/devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input5/mouse1
E: ID_BUS=usb
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_MODEL=USB_Tablet
E: ID_MODEL_ENC=USB\x20Tablet
E: ID_MODEL_ID=0021
E: ID_PATH=pci-0000:00:06.0-usb-0:1:1.0
E: ID_PATH_TAG=pci-0000_00_06_0-usb-0_1_1_0
E: ID_REVISION=0100
E: ID_SERIAL=VirtualBox_USB_Tablet
E: ID_TYPE=hid
E: ID_USB_DRIVER=usbhid
E: ID_USB_INTERFACES=:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_VENDOR=VirtualBox
E: ID_VENDOR_ENC=VirtualBox
E: ID_VENDOR_ID=80ee
E: MAJOR=13
E: MINOR=33
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4875641

P: /devices/platform/i8042/serio0/input/input2
E: DEVPATH=/devices/platform/i8042/serio0/input/input2
E: EV=120013
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: KEY=4 2000000 3803078 f800d001 feffffdf ffefffff ffffffff fffffffe
E: LED=7
E: MODALIAS=input:b0011v0001p0001eAB41-e0,1,4,11,14,k71,72,73,74,75,76,77,79,7A,7B,7C,7D,7E,7F,80,8C,8E,8F,9B,9C,9D,9E,9F,A3,A4,A5,A6,AC,AD,B7,B8,B9,D9,E2,ram4,l0,1,2,sfw
E: MSC=10
E: NAME="AT Translated Set 2 keyboard"
E: PHYS="isa0060/serio0/input0"
E: PRODUCT=11/1/1/ab41
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4718312

P: /devices/platform/i8042/serio0/input/input2/event2
N: input/event2
S: input/by-path/platform-i8042-serio-0-event-kbd
E: BACKSPACE=guess
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DEVNAME=/dev/input/event2
E: DEVPATH=/devices/platform/i8042/serio0/input/input2/event2
E: DMI_VENDOR=innotek GmbH
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_PATH=platform-i8042-serio-0
E: ID_PATH_TAG=platform-i8042-serio-0
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=5093057
E: XKBLAYOUT=us
E: XKBMODEL=pc105

P: /devices/platform/i8042/serio1/input/input4
E: DEVPATH=/devices/platform/i8042/serio1/input/input4
E: EV=7
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: KEY=1f0000 0 0 0 0 0 0 0 0
E: MODALIAS=input:b0011v0002p0006e0000-e0,1,2,k110,111,112,113,114,r0,1,6,8,amlsfw
E: NAME="ImExPS/2 Generic Explorer Mouse"
E: PHYS="isa0060/serio1/input0"
E: PRODUCT=11/2/6/0
E: PROP=0
E: REL=143
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4641709

P: /devices/platform/i8042/serio1/input/input4/event4
N: input/event4
S: input/by-path/platform-i8042-serio-1-event-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse
E: DEVNAME=/dev/input/event4
E: DEVPATH=/devices/platform/i8042/serio1/input/input4/event4
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=68
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=5039785

P: /devices/platform/i8042/serio1/input/input4/mouse0
N: input/mouse0
S: input/by-path/platform-i8042-serio-1-mouse
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse
E: DEVNAME=/dev/input/mouse0
E: DEVPATH=/devices/platform/i8042/serio1/input/input4/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_PATH=platform-i8042-serio-1
E: ID_PATH_TAG=platform-i8042-serio-1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=32
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4792715

P: /devices/platform/pcspkr/input/input3
E: DEVPATH=/devices/platform/pcspkr/input/input3
E: EV=40001
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MODALIAS=input:b0010v001Fp0001e0100-e0,12,kramls1,2,fw
E: NAME="PC Speaker"
E: PHYS="isa0061/input0"
E: PRODUCT=10/1f/1/100
E: PROP=0
E: SND=6
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4385640

P: /devices/platform/pcspkr/input/input3/event3
N: input/event3
S: input/by-path/platform-pcspkr-event-spkr
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr
E: DEVNAME=/dev/input/event3
E: DEVPATH=/devices/platform/pcspkr/input/input3/event3
E: ID_INPUT=1
E: ID_PATH=platform-pcspkr
E: ID_PATH_TAG=platform-pcspkr
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=67
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=4871544

P: /devices/virtual/input/input6
E: ABS=3
E: DEVPATH=/devices/virtual/input/input6
E: EV=b
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: KEY=10000 0 0 0 0 0 0 0 0
E: MODALIAS=input:b0001v80EEpCAFEe0401-e0,1,3,k110,ra0,1,mlsfw
E: NAME="VirtualBox mouse integration"
E: PRODUCT=1/80ee/cafe/401
E: PROP=0
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=5459587

P: /devices/virtual/input/input6/event6
N: input/event6
E: DEVNAME=/dev/input/event6
E: DEVPATH=/devices/virtual/input/input6/event6
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=70
E: SUBSYSTEM=input
E: UDEV_LOG=3
E: USEC_INITIALIZED=5491486


DRM Information from dmesg:
---------------------------
Linux agpgart interface v0.103
[drm] Initialized drm 1.1.0 20060810
[drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[drm] No driver support for vblank timestamp query.
[drm] Initialized vboxvideo 1.0.0 20090303 for 0000:00:02.0 on minor 0


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.34-rt51 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg depends on:
ii  libc6                                                 2.13-35
ii  virtualbox-guest-x11 [xorg-driver-video]              4.1.18-dfsg-1.1
ii  x11-xkb-utils                                         7.7~1
ii  xkb-data                                              2.5.1-2.1
ii  xserver-xorg-core                                     2:1.12.4-3
ii  xserver-xorg-input-evdev [xorg-driver-input]          1:2.7.0-1+b1
ii  xserver-xorg-input-kbd [xorg-driver-input]            1:1.6.1-1+b1
ii  xserver-xorg-input-mouse [xorg-driver-input]          1:1.7.2-3
ii  xserver-xorg-input-vmmouse [xorg-driver-input]        1:12.9.0-1
ii  xserver-xorg-video-all                                1:7.7+1
ii  xserver-xorg-video-apm [xorg-driver-video]            1:1.2.3-3
ii  xserver-xorg-video-ark [xorg-driver-video]            1:0.7.4-1+b1
ii  xserver-xorg-video-ati [xorg-driver-video]            1:6.14.4-5
ii  xserver-xorg-video-chips [xorg-driver-video]          1:1.2.4-2
ii  xserver-xorg-video-cirrus [xorg-driver-video]         1:1.4.0-2
ii  xserver-xorg-video-fbdev [xorg-driver-video]          1:0.4.2-4+b3
ii  xserver-xorg-video-i128 [xorg-driver-video]           1:1.3.5-1+b1
ii  xserver-xorg-video-i740 [xorg-driver-video]           1:1.3.2-4+b3
ii  xserver-xorg-video-intel [xorg-driver-video]          2:2.19.0-6
ii  xserver-xorg-video-mach64 [xorg-driver-video]         6.9.1-2
ii  xserver-xorg-video-mga [xorg-driver-video]            1:1.5.0-2
ii  xserver-xorg-video-neomagic [xorg-driver-video]       1:1.2.6-1
ii  xserver-xorg-video-nouveau [xorg-driver-video]        1:1.0.1-4
ii  xserver-xorg-video-openchrome [xorg-driver-video]     1:0.2.906-2
ii  xserver-xorg-video-r128 [xorg-driver-video]           6.8.2-1
ii  xserver-xorg-video-radeon [xorg-driver-video]         1:6.14.4-5
ii  xserver-xorg-video-rendition [xorg-driver-video]      1:4.2.4-3
ii  xserver-xorg-video-s3 [xorg-driver-video]             1:0.6.3-4+b3
ii  xserver-xorg-video-s3virge [xorg-driver-video]        1:1.10.4-5
ii  xserver-xorg-video-savage [xorg-driver-video]         1:2.3.4-1
ii  xserver-xorg-video-siliconmotion [xorg-driver-video]  1:1.7.6-1
ii  xserver-xorg-video-sis [xorg-driver-video]            1:0.10.4-1
ii  xserver-xorg-video-sisusb [xorg-driver-video]         1:0.9.4-3
ii  xserver-xorg-video-tdfx [xorg-driver-video]           1:1.4.4-1
ii  xserver-xorg-video-trident [xorg-driver-video]        1:1.3.5-1
ii  xserver-xorg-video-tseng [xorg-driver-video]          1:1.2.4-3
ii  xserver-xorg-video-vesa [xorg-driver-video]           1:2.3.1-1+b1
ii  xserver-xorg-video-vmware [xorg-driver-video]         1:12.0.2-1+b1
ii  xserver-xorg-video-voodoo [xorg-driver-video]         1:1.2.4-2+b3

Versions of packages xserver-xorg recommends:
ii  libgl1-mesa-dri  8.0.4-2

xserver-xorg suggests no packages.

-- no debconf information




Bug reassigned from package 'xserver-xorg' to 'xserver-xorg-core'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 10:33:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions xorg/1:7.7+1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 10:33:04 GMT) Full text and rfc822 format available.

Marked as found in versions xorg-server/2:1.12.0-1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 10:33:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 10:39:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=54353'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 29 Nov 2012 18:51:12 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream and patch. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 29 Nov 2012 18:51:14 GMT) Full text and rfc822 format available.

Merged 688860 694598 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 29 Nov 2012 18:51:15 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 29 Nov 2012 19:51:19 GMT) Full text and rfc822 format available.

Notification sent to "Koehrer Mathias (ETAS/ESS2)" <mathias.koehrer@etas.com>:
Bug acknowledged by developer. (Thu, 29 Nov 2012 19:51:19 GMT) Full text and rfc822 format available.

Message #24 received at 694598-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 694598-close@bugs.debian.org
Subject: Bug#694598: fixed in xorg-server 2:1.12.4-4
Date: Thu, 29 Nov 2012 19:48:01 +0000
Source: xorg-server
Source-Version: 2:1.12.4-4

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694598@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 29 Nov 2012 19:27:31 +0100
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-core-udeb xserver-xorg-dev xdmx xdmx-tools xnest xvfb xserver-xephyr xserver-xfbdev xserver-xorg-core-dbg xserver-common
Architecture: source all amd64
Version: 2:1.12.4-4
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xdmx       - distributed multihead X server
 xdmx-tools - Distributed Multihead X tools
 xnest      - Nested X server
 xserver-common - common files used by various X servers
 xserver-xephyr - nested X server
 xserver-xfbdev - Linux framebuffer device tiny X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-core-udeb - Xorg X server - core server (udeb)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 694598
Changes: 
 xorg-server (2:1.12.4-4) unstable; urgency=low
 .
   * Fix memory leak in libnettle sha1 patch.  Thanks, Yaakov Selkowitz!
   * Cherry-pick from upstream:
     - dix: set the device transformation matrix.  Avoids cursor jumps in
       virtualbox (closes: #694598)
Checksums-Sha1: 
 6f12dffd7b3c5bbc5723d1254b0934e8b76d3e08 4095 xorg-server_1.12.4-4.dsc
 501c9963220be06e8139d783e0dcbf7c42200b31 89106 xorg-server_1.12.4-4.diff.gz
 e25d8d4df650cd8f7ddd61bbd3700156d1a10070 1395676 xserver-common_1.12.4-4_all.deb
 6a6a803abfa0dd85483534acb3a6718ec625d7f2 1761428 xserver-xorg-core_1.12.4-4_amd64.deb
 d196b44408ef179e26bcdc7de458e595642e89c1 868036 xserver-xorg-core-udeb_1.12.4-4_amd64.udeb
 596d58efa3c700c5c35160f79bbe49569bfe7850 319814 xserver-xorg-dev_1.12.4-4_amd64.deb
 b1f677da9f7df4a89730f794d5c7840f1a64642e 922624 xdmx_1.12.4-4_amd64.deb
 66f53c6c5e48e0e68613f4244eb846afee9faa01 125178 xdmx-tools_1.12.4-4_amd64.deb
 a61307c7975b600e7b944e821b686f96dcc6aadd 821150 xnest_1.12.4-4_amd64.deb
 324dd7d3329e780f835ea4198ebd46dd060f517b 924726 xvfb_1.12.4-4_amd64.deb
 9c5c22a1dcc8b328154e9af697551821faf765ad 1017444 xserver-xephyr_1.12.4-4_amd64.deb
 bb68514f163e46fb8fc72559170d2ef77acfb14b 939544 xserver-xfbdev_1.12.4-4_amd64.deb
 2e263b9f2be64a400f991e3ee43ad52d43ed80fc 7289972 xserver-xorg-core-dbg_1.12.4-4_amd64.deb
Checksums-Sha256: 
 e676d309749ff32f534d1b1cb467038dcd59f3c1522c5351e67b61a50cbdbc6d 4095 xorg-server_1.12.4-4.dsc
 93f7d8a2b89f45016df308e4113cfa7a4d8c0b752e7e6f49cf95d40d7fbdce3d 89106 xorg-server_1.12.4-4.diff.gz
 d8644453b5700e04f5d0936f4a2620ea420a8a96abb3a81065f587078016f040 1395676 xserver-common_1.12.4-4_all.deb
 b1b7d7a6443357700cef91f01d80bdc5291bf4dd52f2dde1574125c26a61b5f5 1761428 xserver-xorg-core_1.12.4-4_amd64.deb
 2eb165de711d11c130bc1469c033ac9a7d4d826ce3f8992e98bfde8a7d9b2596 868036 xserver-xorg-core-udeb_1.12.4-4_amd64.udeb
 b20ac4c8800b3f69fadb17452af8c6981a1f61f4b7846121d30cf137a37c2185 319814 xserver-xorg-dev_1.12.4-4_amd64.deb
 8c090de7f33639ebf837752af68bc256dd87aa6064b587e39d6e3744580a4fed 922624 xdmx_1.12.4-4_amd64.deb
 4fcff535884f991202ae1aa2e5159337d3f3a93863b3e610f12883a014f41c77 125178 xdmx-tools_1.12.4-4_amd64.deb
 d6705c35cb39c33a1d3873aee77c331fff7c1e96977f2e63e41d7b2724a71083 821150 xnest_1.12.4-4_amd64.deb
 04010c4c1fefe6737fb007bd77560ff0b4c693de54cbf35407ba474103be6f49 924726 xvfb_1.12.4-4_amd64.deb
 5b7ee068893b461a13e58364b996e1d2e4ecf61186d608d52e79fe2189abeb00 1017444 xserver-xephyr_1.12.4-4_amd64.deb
 966d6dc48fdc7c3e978eb51ea9cfbce0856a904067db919311f3fe8430af846a 939544 xserver-xfbdev_1.12.4-4_amd64.deb
 edc89787423dbbc3b13788c59379015a1bafb60dc098964f75267711aa488ec1 7289972 xserver-xorg-core-dbg_1.12.4-4_amd64.deb
Files: 
 d4e6400af779df6c9fda79a17faa7972 4095 x11 optional xorg-server_1.12.4-4.dsc
 1a41114ffec831a2d5b1d08dbd19202d 89106 x11 optional xorg-server_1.12.4-4.diff.gz
 f16a9128af5c73aaba73daff92246859 1395676 x11 optional xserver-common_1.12.4-4_all.deb
 9c8890b6f3c09ed81ea33ed49aa95ad4 1761428 x11 optional xserver-xorg-core_1.12.4-4_amd64.deb
 f5d66afedd9e2077d1e94ade4f47a628 868036 debian-installer optional xserver-xorg-core-udeb_1.12.4-4_amd64.udeb
 99ba0bd3abf76c158c4478c52c7d21c5 319814 x11 optional xserver-xorg-dev_1.12.4-4_amd64.deb
 6eb2f78b1502a5e818d17d2d6743e237 922624 x11 optional xdmx_1.12.4-4_amd64.deb
 d5cf10451d4fc110592dda8ade3179eb 125178 x11 optional xdmx-tools_1.12.4-4_amd64.deb
 d484994965b8282b723f91c9bd3b6ee7 821150 x11 optional xnest_1.12.4-4_amd64.deb
 625fcf8d2352155c79958ef6f328b3aa 924726 x11 optional xvfb_1.12.4-4_amd64.deb
 526899419b71d7d1f6e7cbacf5f425d7 1017444 x11 optional xserver-xephyr_1.12.4-4_amd64.deb
 6e8c0b0f3ad174d89d4016d07e394aaa 939544 x11 optional xserver-xfbdev_1.12.4-4_amd64.deb
 82b8ca907b0747e6e1ab8cbe79b6a51c 7289972 debug extra xserver-xorg-core-dbg_1.12.4-4_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQt7kqAAoJEDEBgAUJBeQMUTUP/jJjdxybzh+TfvZmUWvpydah
ko4lEqnT2JRnvj1XshW0k4hWfvEOO8cWNK+vclHyqBmLhbdxac4/KWeKTzwTw99i
Ma2kEOf0haJk6Fvs7cCJiEVSB2vrZNrIUCdphS8r+o6r6Q/W964OPfRQS9iIGWDU
Po0VkeSANN4djiDZsmazQifoiarqVlnP+6+nSOC0AlRS5hJQFSyOR3P/xKsju2Zx
QRqLsTMI2LrQUAJuyLHnfqVvVO7fCBTX9Ws7k2bGh7EXvlnVU/y7i93Wh4eyxTLk
8kYQaM372glcPWxyxOrNc+PxUJwzds93wkAtYETn/FoppdnkfqJ/WakDKT00cn2d
g+2YJidUDIjJ9cO/PS7pCcvhxsYdqEK6bTxF/mAIRwEBx/k2RCm1hwgYjrZU2//H
MeAIpWnNIY9+QK5D5MPMw+ah2muCk6Mltuorl5eg4+qoH21c/3qNO4NAr0qvtYoG
ZE/5/wrNIE6Kn8jR9z1gJHuCjILlrm5Mc+MR7+eIzVXVO2AXJXYAk4G2LuDso3a2
qqlj7H8OWzv6wwXqCmm3dFzd0xIkFX0wsZmINawstsp1z+QVJ0M7mFUNJYKMdB/4
IWaMsX1KEWmB//V0kf48YULvmVhAiseo3XdZ9oqEsdZBRnyBMtXJkx/COWBWjHHT
PsEU14Sf3xFWwCXSL2IN
=tZsN
-----END PGP SIGNATURE-----




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 29 Nov 2012 19:51:20 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Thu, 29 Nov 2012 19:51:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:29:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:29:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.